Click or drag to resize
BrepLoopListAddPlanarFaceLoop Method
Add a planar trimming loop to a planar face

Namespace: Rhino.Geometry.Collections
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public BrepLoop AddPlanarFaceLoop(
	int faceIndex,
	BrepLoopType loopType,
	IEnumerable<Curve> boundaryCurves
)

Parameters

faceIndex
Type: SystemInt32
index of planar face. The underlying suface must be a PlaneSurface
loopType
Type: Rhino.GeometryBrepLoopType
type of loop to add. If loopType is Unknown, then the loop direction is tested and the the new loops type will be set to Outer or Inner. If the loopType is Outer, then the direction of the new loop is tested and flipped if it is clockwise. If the loopType is Inner, then the direction of the new loop is tested and flipped if it is counter-clockwise.
boundaryCurves
Type: System.Collections.GenericIEnumerableCurve
list of 3d curves that form a simple (no self intersections) closed curve. These curves define the 3d edge geometry and should be near the planar surface.

Return Value

Type: BrepLoop
new loop if successful
See Also